package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @program: mec
 * @description: 学员详情(提现)
 * @author: xw
 * @create: 2019-09-24 19:10
 */
public class WithdrawInfoDto implements Serializable {

    @ApiModelProperty(value = "提现交易流水号",required = false)
    private String withdrawId;
    @ApiModelProperty(value = "申请时间",required = false)
    private String dateTime;
    @ApiModelProperty(value = "提现金额",required = false)
    private BigDecimal amount;
    @ApiModelProperty(value = "账户金额",required = false)
    private BigDecimal balance;
    @ApiModelProperty(value = "提现账户",required = false)
    private String transTypeName;
    @ApiModelProperty(value = "账户号",required = false)
    private String accountNo;
    @ApiModelProperty(value = "提现状态",required = false)
    private String withdrawStatus;
    @ApiModelProperty(value = "支付账号",required = false)
    private String payAccountNo;
    @ApiModelProperty(value = "支付渠道",required = false)
    private String payChannel;
    @ApiModelProperty(value = "交易流水号",required = false)
    private String transactionalNo;

    public WithdrawInfoDto() {
    }

    public String getWithdrawId() {
        return withdrawId;
    }

    public void setWithdrawId(String withdrawId) {
        this.withdrawId = withdrawId;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public String getTransTypeName() {
        return transTypeName;
    }

    public void setTransTypeName(String transTypeName) {
        this.transTypeName = transTypeName;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public void setAccountNo(String accountNo) {
        this.accountNo = accountNo;
    }

    public String getWithdrawStatus() {
        return withdrawStatus;
    }

    public void setWithdrawStatus(String withdrawStatus) {
        this.withdrawStatus = withdrawStatus;
    }

    public String getPayAccountNo() {
        return payAccountNo;
    }

    public void setPayAccountNo(String payAccountNo) {
        this.payAccountNo = payAccountNo;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getTransactionalNo() {
        return transactionalNo;
    }

    public void setTransactionalNo(String transactionalNo) {
        this.transactionalNo = transactionalNo;
    }

    @Override
    public String toString() {
        return "WithdrawInfoDto{" +
                "withdrawId='" + withdrawId + '\'' +
                ", dateTime='" + dateTime + '\'' +
                ", amount=" + amount +
                ", balance=" + balance +
                ", transTypeName='" + transTypeName + '\'' +
                ", accountNo='" + accountNo + '\'' +
                ", withdrawStatus='" + withdrawStatus + '\'' +
                ", payAccountNo='" + payAccountNo + '\'' +
                ", payChannel='" + payChannel + '\'' +
                ", transactionalNo='" + transactionalNo + '\'' +
                '}';
    }
}
